scikit-learn (1.4.2+dfsg-8) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of nproc for setting
    the amount of parallel testing.

  [ Drew Parsons ]
  * need version of scikit-learn newer than 1.4 to support scipy 1.15
    fully. In the meantime skip failing tests:
    test_csr_polynomial_expansion_index_overflow[csr_array-False-True
    Closes: #1096252

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Mar 2025 22:18:34 +0100

scikit-learn (1.4.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Use pytest-xdist to run tests in parallel.
  * Exclude 3 more tests from autopkgtest (Closes: #1082291).

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Nov 2024 13:24:48 +0100

scikit-learn (1.4.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * skip test_svc_ovr_tie_breaking[NuSVC] (test_svm) on i386.
    See upstream Issue#29633. Closes: 1078123.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Aug 2024 11:04:05 +0200

scikit-learn (1.4.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * d/rules: Add "-Wno-incompatible-pointer-types" to the CFLAGS to fix
    the build on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 02 Aug 2024 14:02:53 +0200

scikit-learn (1.4.2+dfsg-4) unstable; urgency=medium

  * Team upload. Closes: #1077461, #1076923
  * d/rules: Don't run setup.py ourselves
  * d/control: switch to PEP-517 building
  * d/source/options: ignore the .egg-info directory
  * d/control: use python-numpy-doc & python-matplotlib-doc for our docs

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 02 Aug 2024 11:16:36 +0200

scikit-learn (1.4.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/watch: upstream switched from a hyphen to an underscore in the
    source tarball name.
  * d/github-revision.txt: out of date
  * d/README.source: added reminder about updating d/github-revision.txt
  * d/upstream/metadata: upstream finally has a bio.tools identifier
  * d/patches: adjust some metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 21 Jun 2024 12:45:23 +0200

scikit-learn (1.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Apply patch from upstream to fix autopkgtest regression on i386.
    Closes: #1070201
  * d/control: -docs: suggest the related/linked -docs packages.
  * d/patches/no-download-intersphinx-mapping.patch: fix some paths, link
    to the packaged docs not the remote docs.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 20 Jun 2024 19:38:04 +0200

scikit-learn (1.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Drew Parsons ]
  * skip failing tests on armel: test_tfidf_no_smoothing and
    test_qda_regularization, which don't emit expected divide-by-zero
    runtime warnings.

  [ Michael R. Crusoe ]
  * Update docs patch to "import os" as needed
  * d/tests/python3: test on all supported versions of Python

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Apr 2024 11:46:28 +0200

scikit-learn (1.4.1.post1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1029701, #1008369, #1027208, #1003165
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Build-Depends: python3-sphinx-copybutton
  * Support loong64
    Closes: #1059206
  * Drop nose from Build-/Test-Depends
    Closes: #1018635
  * Fix clean target
    Closes: #1046775, #1049646
  * Work around unknown key 'recommender' in sphinx
  * Exclude minimized jquery JS from source and use symlink to Debian
    packaged min.js instead (crossing fingers that the version plays nicely)

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2024 14:59:42 +0100

scikit-learn (1.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 07:02:29 +0100

scikit-learn (1.2.1+dfsg-0exp1) experimental; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Team upload.
  * Drop obsolete python-numpy-doc build dependency.
    (closes: #1029249)

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Remove unused license definitions for Apache-2.0, Expat.

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 07:01:45 +0100

scikit-learn (1.1.2+dfsg-92) unstable; urgency=medium

  * Team upload.
  * Drop python-matplotlib-doc dependency (Closes: #1027588)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Jan 2023 19:41:36 +0100

scikit-learn (1.1.2+dfsg-91) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with Python 3.11 with upstream patch found by Paul Wise
    (Closes: #1023978).

 -- Stuart Prescott <stuart@debian.org>  Wed, 07 Dec 2022 00:34:07 +1100

scikit-learn (1.1.2+dfsg-8) unstable; urgency=medium

  * Team upload
  * Ignore test failure on amd64 as well, see #1023978

 -- Graham Inggs <ginggs@debian.org>  Sun, 13 Nov 2022 12:32:35 +0000

scikit-learn (1.1.2+dfsg-7) unstable; urgency=medium

  * Team upload
  * Align create_memmap_backed_data() by default to avoid a
    bus error on armhf, thanks Seth Arnold

 -- Graham Inggs <ginggs@debian.org>  Mon, 17 Oct 2022 10:44:39 +0000

scikit-learn (1.1.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * update debian patch relax_test_tolerance.patch to relax
    tolerance in test_mlp_regressor_dtypes_casting in test_mlp.py from
    neural_network. Required for ppc64el to pass with scipy 1.8 with
    pythran support. Closes: #1019384.

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Sep 2022 16:05:34 +0200

scikit-learn (1.1.2+dfsg-5) unstable; urgency=medium

  * Team upload
  * Fix incorrect use of JOBLIB_MULTIPROCESSING, it is
    a boolean (Closes: #1017402)
  * Add riscv64 to architectures where test suite results are ignored

 -- Graham Inggs <ginggs@debian.org>  Sun, 21 Aug 2022 09:14:47 +0000

scikit-learn (1.1.2+dfsg-4) unstable; urgency=medium

  * Team upload
  * Restrict joblib mulitiprocessing during the autopkgtests,
    see #1017402

 -- Graham Inggs <ginggs@debian.org>  Tue, 16 Aug 2022 11:11:54 +0000

scikit-learn (1.1.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix way to ignore errors

 -- Andreas Tille <tille@debian.org>  Sat, 13 Aug 2022 07:13:43 +0200

scikit-learn (1.1.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove bootstrap from d/copyright since it is not included any more
  * Do not ignore tests from test suite in the beginning but run all tests
    and do not fail if dh_auto_test returns error.  Thus we keep a logfile
    containing failed errors we can point upstream to

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2022 14:38:37 +0200

scikit-learn (1.1.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fix Maintainer name of Debian Science team (routine-update)
  * Change repository to default layout and remove debian/gbp.conf
  * Drop debian/README.source since it contains outdated information
  * Drop unused bootstrap code from upstream source tarball

 -- Andreas Tille <tille@debian.org>  Thu, 11 Aug 2022 15:20:38 +0200

scikit-learn (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Prevent network access during sphinx build. (Closes: #1015805)
  * Skip all tests that calls fetch_openml() for network access.

 -- Mo Zhou <lumin@debian.org>  Sun, 24 Jul 2022 12:55:12 -0700

scikit-learn (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Mon, 23 May 2022 21:08:39 +0530

scikit-learn (1.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Drew Parsons ]
  * run tests without colour to make build and debci logs more legible
  * debian/tests Depends: python3-setuptools

  [ Chiara Marmo ]
  * New upstream release. Update Standards-Version.

  [ Andreas Tille ]
  * Rename debian/.gitlab-ci.yml to debian/salsa-ci.yml
  * Relax test tolerance
  * Revert nocheck option from NMU since the check will pass now hopefully
  * Fix files location in d/copyright
  * Drop outdated debian/TODO
  * Update debian/source/lintian-overrides
  * bootstrap-responsive*.css is not vendored by scikit-learn docs any more
    Closes: #924213

 -- Andreas Tille <tille@debian.org>  Tue, 15 Feb 2022 17:44:37 +0100

scikit-learn (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * To advance the python3.10 transition, disable the tests during build
    for now (see: #1003165)

 -- Paul Gevers <elbrus@debian.org>  Fri, 21 Jan 2022 22:38:09 +0100

scikit-learn (1.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Created d/u/metadata

  [ Drew Parsons ]
  * New upstream release. Closes: #999528.
    - applies or deprecates debian patches:
       disable-doctest.patch
       Skip-two-tests-when-SciPy-1.5.patch
       Use-assert_allclose-instead-of-equality-in-FP-comparison.patch
       Change-expected-result-type-to-pass-on-32-bit.patch
       Increase-tolerance-for-RANSACRegressor-test.patch
       fix_scipy1.6_PR18711.patch
       skip_test_ELKI_PR19115.patch
  * Build-Depends-Indep: python3-sphinx-prompt,
    python3-sphinxext-opengraph
  * Versioned Build-Depends: cython3 (>= 0.28.5~),
     python3-numpy (>= 1.14.6~), python3-scipy (>= 1.1.10~)
  * Drop Build-Depends: libatlas-base-dev.
    Build against generic libblas-dev, use specific optimized blas at
    runtime. Closes: #918570.
  * debian patch fix_test_calibration_labels_PR21697.patch applies
    upstream PR#21697 to fix label access in test_calibration
  * skip test_load_boston_alternative at build-time (debian builds
    must not access the network)

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Nov 2021 15:21:20 +0100

scikit-learn (0.23.2-5) unstable; urgency=medium

  * Team upload.
  * debian patch skip_test_ELKI_PR19115.patch applies upstream
    PR19115 to skip the flaky ELKI test on arm and 32 bit systems.

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Jan 2021 22:20:59 +1100

scikit-learn (0.23.2-4) unstable; urgency=medium

  * Team upload.
  * debian patch fix_scipy1.6_PR18711.patch applies parts of upstream
    PR#18711 to fix handling with scipy 1.6 (in particular fixes
    sklearn/utils/optimize.py)
  * debhelper compatibility level 13
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Jan 2021 02:47:23 +1100

scikit-learn (0.23.2-3) unstable; urgency=medium

  * autopkgtest: Fix exclusion of test_gaussian_kde on s390x, alpha, ppc64
    (Closes: #969523)
  * Add lintian override for embedded-javascript-library in python-sklearn-doc

 -- Christian Kastner <ckk@debian.org>  Sat, 05 Sep 2020 20:43:10 +0200

scikit-learn (0.23.2-2) unstable; urgency=medium

  * Exclude armhf tests again erroneously assumed to be fixed
  * Sync autopkgtest test exclusions with d/rules

 -- Christian Kastner <ckk@debian.org>  Mon, 17 Aug 2020 00:05:08 +0200

scikit-learn (0.23.2-1) unstable; urgency=medium

  * New upstream version 0.23.2
    - Refresh patches
  * Patch cleanup:
    - Drop non-used patches from series.
      These patches address things that are no longer relevant to the code, or
      have been addressed in other patches
    - Drop two more unused patches, remove their lintian overrides
    - Unify armel div-by-zero patches
    - Drop Skip-failing-non-intel-tests.patch, fixed upstream
    - Rename patches
  * Update ppc64el test skips

 -- Christian Kastner <ckk@debian.org>  Sun, 16 Aug 2020 12:43:04 +0200

scikit-learn (0.23.1-4) unstable; urgency=medium

  * Add Increase-tolerance-for-RANSACRegressor-test.patch
  * Update Change-expected-result-type-to-pass-on-32-bit.patch
  * Fix Revert-removal-of-NumPy-div-by-zero-check.patch on armel
  * Exclude another armhf test (Bus error)
  * Exclude tests failing with SciPy >= 1.5 on s390x, alpha, ppc64

 -- Christian Kastner <ckk@debian.org>  Thu, 06 Aug 2020 11:03:59 +0200

scikit-learn (0.23.1-3) unstable; urgency=medium

  * Exclude two failing ppc64el tests for now
  * Exclude test_assess_dimesion_rank_one
  * Exclude failing test (memory) on armhf
  * Add Fix-test_float_precision-fails.patch
  * Add Revert-removal-of-NumPy-div-by-zero-check.patch
  * Add Use-assert_allclose-instead-of-equality-in-FP-comparison.patch
  * Add Change-expected-result-type-to-pass-on-32-bit.patch

 -- Christian Kastner <ckk@debian.org>  Tue, 04 Aug 2020 18:45:11 +0200

scikit-learn (0.23.1-2) unstable; urgency=medium

  * Add matplotlib-3.3-fix.patch
    Fixes FTBFS from test failures with matplotlib >= 3.3

 -- Christian Kastner <ckk@debian.org>  Wed, 29 Jul 2020 17:34:09 +0200

scikit-learn (0.23.1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
    - Add patches
      + Skip-two-tests-when-SciPy-1.5.patch
      + Add Skip-k-means-convergence-tests.patch
    - Drop obsolete patches
      + Fix-for-test_uniform_grid.patch
      + debian/patches/deb_use_system_joblib

  * Set python-sklearn-doc to Multi-Arch: foreign
  * Drop Files-Excluded from d/copyright. None of the patterns match anymore.
  * Drop no longer necessary +dfsg suffix and repacking
  * Add python-pandas-doc to Build-Depends-Indep for intersphinx mapping
  * Add python3-threadpoolctl to Build-Depends and Depends
  * Bump python3-numpydoc dependency to 0.9.0
  * Update lintian source overrides
  * Drop obsolete copyright stanza
  * Add myself to Uploaders

 -- Christian Kastner <ckk@debian.org>  Sat, 16 May 2020 19:16:21 +0200

scikit-learn (0.22.2.post1+dfsg-7) unstable; urgency=medium

  * Team upload.

  * Re-add a clean target that excludes dh_sphinxdoc.
    Fixes FTBFS for arch:any, as sphinx is in Build-Depends-Indep.

 -- Christian Kastner <ckk@debian.org>  Mon, 04 May 2020 12:13:10 +0200

scikit-learn (0.22.2.post1+dfsg-6) unstable; urgency=medium

  * Team upload.

  * Add Fix-for-test_uniform_grid.patch
    Cherry-picked from upstream. (Closes: #959139)
  * Bump debhelper to 12 and switch to debhelper-compat
  * Mark python3-sklearn-lib as Multi-Arch: same
  * Re-enable build of documentation, which the following updates needed for
    the new scikit-learn-modern theme:
    - Update update python-sklearn-doc.{doc-base, links)
    - Bump Depends from libjs-bootstrap to libjs-bootstrap4
    - Add Use-local-MathJax.patch
    - Add Disable-BinderHub-links.patch
  * debian/rules refactoring and minor improvements

 -- Christian Kastner <ckk@debian.org>  Mon, 04 May 2020 08:36:38 +0200

scikit-learn (0.22.2.post1+dfsg-5) unstable; urgency=medium

  * Team upload.

  * Skip another failing test on armhf. This should resolve the last of the
  * current FTBFS.

 -- Christian Kastner <ckk@debian.org>  Tue, 31 Mar 2020 17:10:32 +0200

scikit-learn (0.22.2.post1+dfsg-4) unstable; urgency=medium

  * Team upload.

  * Skip another failing test on armhf
  * Skip a non-deterministically failing ppc64el test

 -- Christian Kastner <ckk@debian.org>  Mon, 30 Mar 2020 11:47:33 +0200

scikit-learn (0.22.2.post1+dfsg-3) unstable; urgency=medium

  * Team upload.

  * Skip another failing test on armhf
  * autopkgtest: Disable tests requiring network

 -- Christian Kastner <ckk@debian.org>  Mon, 30 Mar 2020 09:25:31 +0200

scikit-learn (0.22.2.post1+dfsg-2) unstable; urgency=medium

  * Team upload.

  * Skip yet another flaky test on ppc64el, hopefully resolving the FTBFS now
  * autopkgtest:
    - Disable doctest, as we do at build time
    - Sync excluded tests with build-time exclusions

 -- Christian Kastner <ckk@debian.org>  Sun, 29 Mar 2020 20:46:08 +0200

scikit-learn (0.22.2.post1+dfsg-1) unstable; urgency=medium

  * Team upload.

  * New upstream release.
    - Refresh patches
  * debian/rules:
    - Merge multiple pytest -k expressions into one. Fixes a FTBFS on arm64
    - Skip a number of failing tests on ppc64el, fixing a FTBFS. Issue has been
      reported upstream

 -- Christian Kastner <ckk@debian.org>  Sun, 29 Mar 2020 13:11:58 +0200

scikit-learn (0.22.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  * Update patch to skip broken armel test. Resolves a FTBFS on armel
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Set Rules-Requires-Root to no
  * d/rules
    - Change attempt to skip failing test_old_pickle
    - Also skip known-flaky test_ard_accuracy_on_easy_problem
  * d/copyright:
    - Fix File pattern for libsvm, liblinear
    - Drop copyright for no longer included cblas
    - Fix License names and bodies
  * autopkgtest: Replace deprecated ADTTMP with AUTOPKGTEST_TMP
  * Drop obsolete code in patch deb_use_system_joblib
  * Refresh revision for GitHub source links
  * Add overrides for lintian warnings re: external patches
  * Add (temporary) lintian overrides for E: source-is-missing
    These files are not used, and will be excluded in the next source repack
  * Add DEP-3 headers to patches missing them

 -- Christian Kastner <ckk@debian.org>  Thu, 13 Feb 2020 16:52:57 +0100

scikit-learn (0.22.1+dfsg-1) unstable; urgency=medium

  * New upstream release; Closes: #933366, #935315
  * Drop python2 autopkgtests, no longer needed
  * debian/copyright
    - update copyright information
  * Refresh patches for new upstream code
  * debian/rules
    - stop building doc until sphinx 2.* is available
    - update how we run test: move sklearn/conftest.py out of the way (it
      somehow conflicts with the file {build_dir}) and skip to run
      test_old_pickle
  * debian/python-sklearn-doc.docs
    - comment out the HTML documentation, which we have disable for now

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jan 2020 01:17:10 -0500

scikit-learn (0.20.3+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Stop building the Python2 package. Closes: #938444.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Nov 2019 14:46:27 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-sklearn-lib`.
